package com.kmall.common.utils.wechat.wxglobal.dto;

import com.kmall.common.utils.wechat.wxglobal.dto.RefundAmountAsynNotifyDto;

/**
 * 请求申请退款异步通知返回的字段
 */
public class WechatRefundAsynApiResult {
	private String appid;
	private String mchid;
	private String out_trade_no;
	private String transaction_id;
	private String out_refund_no;
	private String refund_id;
	private String refund_status;//退款状态
	private String success_time;//退款成功时间
	private String recv_accout;//退款入账账户
	private String fund_source;//退款资金来源
	private RefundAmountAsynNotifyDto amount;//订单金额信息

	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getMchid() {
		return mchid;
	}

	public void setMchid(String mchid) {
		this.mchid = mchid;
	}

	public String getOut_trade_no() {
		return out_trade_no;
	}

	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}

	public String getTransaction_id() {
		return transaction_id;
	}

	public void setTransaction_id(String transaction_id) {
		this.transaction_id = transaction_id;
	}

	public String getOut_refund_no() {
		return out_refund_no;
	}

	public void setOut_refund_no(String out_refund_no) {
		this.out_refund_no = out_refund_no;
	}

	public String getRefund_id() {
		return refund_id;
	}

	public void setRefund_id(String refund_id) {
		this.refund_id = refund_id;
	}

	public String getRefund_status() {
		return refund_status;
	}

	public void setRefund_status(String refund_status) {
		this.refund_status = refund_status;
	}

	public String getSuccess_time() {
		return success_time;
	}

	public void setSuccess_time(String success_time) {
		this.success_time = success_time;
	}

	public String getRecv_accout() {
		return recv_accout;
	}

	public void setRecv_accout(String recv_accout) {
		this.recv_accout = recv_accout;
	}

	public String getFund_source() {
		return fund_source;
	}

	public void setFund_source(String fund_source) {
		this.fund_source = fund_source;
	}

	public RefundAmountAsynNotifyDto getAmount() {
		return amount;
	}

	public void setAmount(RefundAmountAsynNotifyDto amount) {
		this.amount = amount;
	}
}
